Bug 10291 - mgetty rpm has 'libgr-progs' dependency
mgetty rpm has 'libgr-progs' dependency
Product: Red Hat Linux
Classification: Retired
Component: mgetty (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-03-21 19:17 EST by jam
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-10 19:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jam 2000-03-21 19:17:41 EST
In the mgetty-1.1.21-2 and 3 rpms, I discovered the following:

[~] [7:23pm] [jam@quark-pts/2] % rpm -q --requires mgetty

should mgetty require libgr-progs to be installed?
Comment 1 Bill Nottingham 2000-03-22 09:48:59 EST
I believe it uses some of the TIFF programs
for faxing support in mgetty-sendfax. The
dependency might need moved to the subpackage...
Comment 2 jam 2000-03-22 10:27:59 EST
I would agree. Please let me know if there is anything more I need to do.
Comment 3 Cristian Gafton 2000-05-22 11:42:59 EDT
assigned to nalin
Comment 4 Nalin Dahyabhai 2000-06-10 17:31:06 EDT
I gather that this is not a bug, then?
Comment 5 jam 2000-06-10 19:05:47 EDT
It is not necessarily a show stopping bug, but it is kind of annoying. If I want
to install 'mgetty', I need to install some graphical libraries (which may
trigger other unneeded things to be installed), and this occurs regardless of if
I want to use the faxing features or not. 

My suggestion for a fix is to move the 'sendfax' part of mgetty to a subpackage.
Comment 6 Nalin Dahyabhai 2000-07-24 02:53:37 EDT
This has happened, at least as of 1.1.21-11.

Note You need to log in before you can comment on or make changes to this bug.